osg::AttributeFunctorArrayVisitor Class Reference

`#include <Drawable>`

Inheritance diagram for osg::AttributeFunctorArrayVisitor:

## Public Member Functions

| AttributeFunctorArrayVisitor (Drawable::AttributeFunctor &af)
virtual | ~AttributeFunctorArrayVisitor ()
virtual void | apply (ByteArray &array)
virtual void | apply (ShortArray &array)
virtual void | apply (IntArray &array)
virtual void | apply (UByteArray &array)
virtual void | apply (UShortArray &array)
virtual void | apply (UIntArray &array)
virtual void | apply (Vec4ubArray &array)
virtual void | apply (FloatArray &array)
virtual void | apply (Vec2Array &array)
virtual void | apply (Vec3Array &array)
virtual void | apply (Vec4Array &array)
virtual void | apply (DoubleArray &array)
virtual void | apply (Vec2dArray &array)
virtual void | apply (Vec3dArray &array)
virtual void | apply (Vec4dArray &array)
void | applyArray (Drawable::AttributeType type, Array *array)
Public Member Functions inherited from osg::ArrayVisitor
| ArrayVisitor ()
virtual | ~ArrayVisitor ()
virtual void | apply (Array &)
virtual void | apply (Vec2bArray &)
virtual void | apply (Vec3bArray &)
virtual void | apply (Vec4bArray &)
virtual void | apply (Vec2sArray &)
virtual void | apply (Vec3sArray &)
virtual void | apply (Vec4sArray &)
virtual void | apply (Vec2iArray &)
virtual void | apply (Vec3iArray &)
virtual void | apply (Vec4iArray &)
virtual void | apply (Vec2ubArray &)
virtual void | apply (Vec3ubArray &)
virtual void | apply (Vec2usArray &)
virtual void | apply (Vec3usArray &)
virtual void | apply (Vec4usArray &)
virtual void | apply (Vec2uiArray &)
virtual void | apply (Vec3uiArray &)
virtual void | apply (Vec4uiArray &)
virtual void | apply (MatrixfArray &)
virtual void | apply (MatrixdArray &)
virtual void | apply (UInt64Array &)
virtual void | apply (Int64Array &)

## Protected Member Functions

AttributeFunctorArrayVisitor & | operator= (const AttributeFunctorArrayVisitor &)

## Protected Attributes

Drawable::AttributeFunctor & | _af
Drawable::AttributeType | _type

## Constructor & Destructor Documentation

## AttributeFunctorArrayVisitor()

osg::AttributeFunctorArrayVisitor::AttributeFunctorArrayVisitor | ( | Drawable::AttributeFunctor & | af | ) |

inline

References _af, and _type.

Referenced by operator=().

## ~AttributeFunctorArrayVisitor()

virtual osg::AttributeFunctorArrayVisitor::~AttributeFunctorArrayVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | ByteArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [2/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | DoubleArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [3/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | FloatArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [4/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | IntArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [5/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | ShortArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [6/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | UByteArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [7/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | UIntArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [8/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | UShortArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [9/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec2Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [10/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec2dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [11/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec3Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [12/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec3dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [13/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec4Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [14/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec4dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [15/15]

virtual void osg::AttributeFunctorArrayVisitor::apply | ( | Vec4ubArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## applyArray()

void osg::AttributeFunctorArrayVisitor::applyArray | ( | Drawable::AttributeType | type,
|  | Array * | array )

inline

References _type, and osg::Array::accept().

## operator=()

AttributeFunctorArrayVisitor & osg::AttributeFunctorArrayVisitor::operator= | ( | const AttributeFunctorArrayVisitor & |  | ) |

inline protected

References AttributeFunctorArrayVisitor().

## Member Data Documentation

## _af

Drawable::AttributeFunctor& osg::AttributeFunctorArrayVisitor::_af

protected

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), and AttributeFunctorArrayVisitor().

## _type

Drawable::AttributeType osg::AttributeFunctorArrayVisitor::_type

protected

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), applyArray(), and AttributeFunctorArrayVisitor().

The documentation for this class was generated from the following file:

- Drawable